package blobstore

import (
	"context"
	"io"

	"github.com/bluesky-social/indigo/atproto/syntax"
	"github.com/ipfs/go-cid"
)

type BlobStore interface {
	GetBlobUrl(ctx context.Context, did syntax.DID, cid cid.Cid) (string, error)
	GetBlob(ctx context.Context, did syntax.DID, cid cid.Cid) (io.ReadCloser, error)
}
